org.apache.flume.node

## Class Application

- java.lang.Object
- - org.apache.flume.node.Application

-     public class Application
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CONF_MONITOR_CLASS`
    `static String` | `CONF_MONITOR_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Application()`
    `Application(List<LifecycleAware> components)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `handleConfigurationEvent(MaterializedConfiguration conf)`
    `static void` | `main(String[] args)`
    `void` | `start()`
    `void` | `stop()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CONF_MONITOR_CLASS

          public static final String CONF_MONITOR_CLASS

      See Also:
        Constant Field Values

    - #### CONF_MONITOR_PREFIX

          public static final String CONF_MONITOR_PREFIX

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Application

          public Application()

    - #### Application

          public Application(List<LifecycleAware> components)

  - ### Method Detail

    - #### start

          public void start()

    - #### handleConfigurationEvent

          public void handleConfigurationEvent(MaterializedConfiguration conf)

    - #### stop

          public void stop()

    - #### main

          public static void main(String[] args)

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.